/* home button */
.home_btn_container {
  position: relative;
  width: 40px;
  height: 40px;
}

.border-top,
.border-bottom {
  display: block;
  position: relative;
  width: 100%;
  height: 100%;
}

.home_button {
  display: block;
  width: 100%;
  height: 100%;
  padding: 5px;
}

.home_button img {
  min-width: 100%;
  max-width: 100%;
}

/* ---------------- */
/* border top right */
/* ---------------- */
.border-top:after {
  content: "";
  position: absolute;
  top: 0;
  left: 50%;
  width: 0;
  height: 0;
  opacity: 0;
  z-index: -1;

  border: 1px solid rgb(255, 255, 255);
  border-left: none;
  border-bottom: none;
  border-top-right-radius: 10px;
  border-bottom-right-radius: 10px;
}

.home_btn_container:hover .border-top:after {
  opacity: 1;
  width: calc(50% - 1px);
  height: calc(100% - 2px);
  transition: width 0.15s ease-out, height 0.15s ease-out 0.15s;
}

/* ---------------- */
/* border top left  */
/* ---------------- */
.border-top:before {
  content: "";
  position: absolute;
  top: 0;
  right: 50%;
  width: 1px;
  height: 1px;
  opacity: 0;
  z-index: -1;

  border: 1px solid rgb(255, 255, 255);
  border-right: none;
  border-bottom: none;
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
}

.home_btn_container:hover .border-top:before {
  opacity: 1;
  width: calc(50% - 1px);
  height: calc(100% - 2px);
  transition: width 0.15s ease-out, height 0.15s ease-out 0.15s;
}

/* ------------------- */
/* border bottom right */
/* ------------------- */
.border-bottom:before {
  content: "";
  position: absolute;
  bottom: 0;
  right: 0%;
  width: 1px;
  height: 1px;
  opacity: 0;
  z-index: -1;

  border-bottom: 1px solid rgb(255, 255, 255);
  border-left: none;
  border-top: none;
  border-bottom-right-radius: 10px;
}

.home_btn_container:hover .border-bottom:before {
  opacity: 1;
  width: calc(50%);
  height: calc(100% - 2px);
  transition: opacity 0s ease-out 0.29s, width 0.15s ease-out 0.3s;
}

/* ------------------- */
/* border bottom left  */
/* ------------------- */
.border-bottom:after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0%;
  width: 1px;
  height: 1px;
  opacity: 0;
  z-index: -1;

  border-bottom: 1px solid rgb(255, 255, 255);
  border-right: none;
  border-top: none;
  border-bottom-left-radius: 10px;
}

.home_btn_container:hover .border-bottom:after {
  opacity: 1;
  width: calc(50%);
  height: calc(100% - 2px);
  transition: opacity 0s ease-out 0.29s, width 0.15s ease-out 0.3s;
}

/* ---------------------------------------- */
/* border home button second nav bar color  */
/* ---------------------------------------- */
#second_nav_bar .border-top:before {
  border: 1px solid rgb(0, 0, 0);
  border-right: none;
  border-bottom: none;
}

#second_nav_bar .border-top:after {
  border: 1px solid rgb(0, 0, 0);
  border-left: none;
  border-bottom: none;
}

#second_nav_bar .border-bottom:before {
  /* border-left: none; */
  /* border-top: none; */
  border-bottom: 1px solid rgb(0, 0, 0);
}

#second_nav_bar .border-bottom:after {
  /* border-right: none; */
  /* border-top: none; */
  border-bottom: 1px solid rgb(0, 0, 0);
}
